UrlEncoderUtil (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility.util

## Class UrlEncoderUtil

- java.lang.Object
- - org.gcube.spatial.data.geoutility.util.UrlEncoderUtil

-     public class UrlEncoderUtil
      extends Object

  The Class UrlEncoderUtil.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 25, 2016

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `charset`
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlEncoderUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `encodeQuery(Map<String,String> parameters)` Encode query.
    `static String` | `encodeQuery(String... parameters)` Encode query.
    `static String` | `removeLastChar(String string)` Removes the last char.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### charset

          public static String charset

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### UrlEncoderUtil

          public UrlEncoderUtil()

  - ### Method Detail

    - #### encodeQuery

          public static String encodeQuery(String... parameters)

      Encode query.
      Parameters:
        `parameters` - the parameters
      Returns:
        the string

    - #### encodeQuery

          public static String encodeQuery(Map<String,String> parameters)

      Encode query.
      Parameters:
        `parameters` - the parameters
      Returns:
        the string

    - #### removeLastChar

          public static String removeLastChar(String string)

      Removes the last char.
      Parameters:
        `string` - the string
      Returns:
        the string

Copyright © 2016. All Rights Reserved.